Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.rest.results
Class ForwardResult

    java.lang.Object
      com.bea.wlp.rest.results.GenericRestResult
          com.bea.wlp.rest.results.ForwardResult

All Implemented Interfaces
  RestResult

    public class ForwardResult

extends GenericRestResult

Implementation of a `RestResult` that can be used to easily forward from the outcome of a `RestCommand`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wlp.rest.results.RestResult
`RestResult.FormatType`

Field Summary

Fields inherited from class com.bea.wlp.rest.results.GenericRestResult
`contentType, debug, formatters, JSON_CONTENT_TYPE, XML_CONTENT_TYPE`

Constructor Summary
`ForwardResult(String uri)` Constructor that takes the forward URI.

Method Summary
`String` | `getUri()` Gets the forward URI.

Methods inherited from class com.bea.wlp.rest.results.GenericRestResult
`getCharacterEncoding, getContentType, getFormatters, getMessage, getResponse, getResponseBean, getStatus, isError, setCharacterEncoding, setFormatters, setResponseBean, toJSON, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardResult

    public ForwardResult(String uri)

  Constructor that takes the forward URI.

  Parameters
    `uri` - the URI that the `RestServlet` should forward to.

Method Detail

### getUri

    public String getUri()

  Gets the forward URI.

  Returns
    the forward URI

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.